---
description: Learn about organizations.
keywords: organizations, admin, overview
title: Organization administration overview
---

{% include admin-early-access.md %}

{% include admin-org-overview.md %}

To create an organization, see [Create your organization](../../docker-hub/orgs.md).

Learn how to administer an organization using Docker Admin in the following sections.

<div class="component-container">
<!--start row-->
    <div class="row">
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                <a href="/admin/organization/members/"><img src="/assets/images/contact.svg" alt="Manage members" width="70" height="70"></a>
            </div>
                <h2 id="manage-members"><a href="/admin/organization/members/">Manage members</a></h2>
                <p>Explore how to manage members.</p>
        </div>
     </div>
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <a href="/admin/organization/activity-logs/"><img src="/assets/images/engine-logging.svg" alt="Activity logs" width="70" height="70"></a>
            </div>
                <h2 id="activity-logs"><a href="/admin/organization/activity-logs/">Activity logs</a></h2>
                <p>Learn how to audit the activities of your members.</p>
        </div>
     </div>
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
          <div class="component-icon">
                 <a href="/admin/organization/image-access/"><img src="/assets/images/build-multi-platform.svg" alt="Image Access Management" width="70" height="70"></a>
          </div>
                <h2 id="image-access"><a href="/admin/organization/image-access/">Image Access Management</a></h2>
                <p>Control which types of images your developers can pull.</p>
        </div>
      </div>
    </div>
<!--start row-->
    <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <a href="/admin/organization/registry-access/"><img src="/assets/images/all-inbox.svg" alt="Registry Access Management" width="70" height="70"></a>
            </div>
                <h2 id="registry-access"><a href="/admin/organization/registry-access/">Registry Access Management</a></h2>
                <p>Define which registries your developers can access.</p>
        </div>
     </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                <a href="/admin/organization/general-settings/"><img src="/assets/images/engine-configure-daemon.svg" alt="General settings" width="70" height="70"></a>
            </div>
                <h2 id="general-settings"><a href="/admin/organization/general-settings/">General settings</a></h2>
                <p>Configure general information or create a company.</p>
        </div>
     </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                <img src="/assets/images/sign-on.svg" alt="Security settings" width="70" height="70">
            </div>
                <h2 id="security-settings">SSO & SCIM</h2>
                <p>Set up <a href="/admin/organization/security-settings/sso/">Single Sign-On</a> and <a href="/admin/organization/security-settings/scim/">SCIM</a> for your organization.</p>
        </div>
     </div>
    </div>
<!--start row-->
    <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <a href="/admin/organization/security-settings/domains/"><img src="/assets/images/secure.svg" alt="Domain management" width="70" height="70"></a>
            </div>
                <h2 id="domains"><a href="/admin/organization/security-settings/domains/">Domain management</a></h2>
                <p>Add, verify, and audit your domains.</p>
        </div>
     </div>
</div>

