---
title: "Configure CI/CD for your application"
keywords: rust, CI/CD, local, development
description: Learn how to Configure CI/CD for your application
---

{% include_relative nav.html selected="4" %}

## Get started with GitHub Actions

{% include gha-tutorial.md %}

## Summary

In this section, you have learned how to set up GitHub Actions workflow to an existing Docker project, optimize your workflow to improve build times and reduce the number of pull requests, and finally, you learned how to push only specific versions to Docker Hub. You can also set up nightly tests against the latest tag, test each PR, or do something more elegant with the tags you are using and make use of the Git tag for the same tag in your image.

## Next steps

Next, learn how you can deploy your application.

[Deploy your app](deploy.md){: .button .primary-btn}